<div class="container mt-4">

  <h1>Articles</h1>

  <%= search_form_for @q do |f| %>
    <%= f.label :title_cont %>
    <%= f.search_field :title_cont %>
    <%= f.submit %>
  <% end %>

  <div class="mt-4"> 
    Our blog has <%= Article.public_count %> articles and counting!
  </div>

  <div class="my-4"> 
    <%= paginate @articles %>
  </div>

  <ul>
    <% @articles.each do |article| %>
      <li>
        <%= link_to article.title, article %>
      </li>
    <% end %>
  </ul>

  <% if user_signed_in? %>
    <%= link_to "New Article", new_article_path %>
  <% end %>  

</div>

<style>
  .page, .first, .prev, .next { margin: 0 .5rem 0 0 }
</style>